summaryrefslogtreecommitdiff
path: root/share/cmake-3.17/Modules/SquishRunTestCase.sh
diff options
context:
space:
mode:
authorHaibo Huang <hhb@google.com>2020-03-20 14:28:55 -0700
committerHaibo Huang <hhb@google.com>2020-03-20 14:39:39 -0700
commit82cd051f0b358a85f268ddcc4320c12ef3fd7097 (patch)
tree720444adf4bb0d7698dc953c6706c2955621089f /share/cmake-3.17/Modules/SquishRunTestCase.sh
parentd00577c9d4ee9a42fb5158f49a1ebce8047b0bd8 (diff)
downloaddarwin-x86-82cd051f0b358a85f268ddcc4320c12ef3fd7097.tar.gz
Upgrade cmake prebuilt to 3.17.0 [Darwin]
Built at: http://fusion/62f916ad-981c-481b-90fe-89fa033e9ef6 Change-Id: Icfd765935145267a3bfe7839446eb0bf623810d4
Diffstat (limited to 'share/cmake-3.17/Modules/SquishRunTestCase.sh')
-rw-r--r--share/cmake-3.17/Modules/SquishRunTestCase.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/share/cmake-3.17/Modules/SquishRunTestCase.sh b/share/cmake-3.17/Modules/SquishRunTestCase.sh
new file mode 100644
index 0000000..409b46a
--- /dev/null
+++ b/share/cmake-3.17/Modules/SquishRunTestCase.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+echo "Starting the squish server...$1 --daemon"
+$1 --daemon
+
+echo "Running the test case...$2 --testcase $3 --wrapper $4 --aut $5"
+$2 --testcase $3 --wrapper $4 --aut $5
+returnValue=$?
+
+echo "Stopping the squish server...$1 --stop"
+$1 --stop
+
+exit $returnValue